#include <bits/stdc++.h>
using namespace std;

#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define ll long long
#define inf INT_MAX
#define llinf LLONG_MAX
#define mt make_tuple
#define parll pair<ll,ll>
#define parii pair<int,int>
#define mp make_pair

int main()
{
    ios;

    ll x1,y1,x2,y2;

    cin >> x1 >> y1 >> x2 >> y2;
    if ( x1 != x2 && y1 != y2 )
    {
        if ( abs(x1-x2) == abs(y1-y2) )
        {
            cout << 1;
            return 0;
        }
        cout << 0;
        return 0;
    }
    cout << 2;

    return 0;
}